package com.vcarecity.test.repository;

import com.google.inject.ImplementedBy;
import com.vcarecity.test.entity.AgencyEntity;
import com.vcarecity.test.repository.impl.AgencyRepositoryImpl;

import java.sql.SQLException;
import java.util.List;

/**
 * @author Kerry on 19/12/10
 */

@ImplementedBy(AgencyRepositoryImpl.class)
public interface AgencyRepository {
    /**
     * find by agency id list
     *
     * @param agencyIdList
     * @return
     */
    List<AgencyEntity> findByAgencyIdList(List<Integer> agencyIdList) throws SQLException;
}
