package com.vcarecity.elastic.publish.service.impl;

import org.elasticsearch.action.update.UpdateRequest;
import org.elasticsearch.client.RestHighLevelClient;
import org.elasticsearch.script.Script;
import org.elasticsearch.script.ScriptType;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.HashMap;
import java.util.Map;


@SpringBootTest
class UnitServiceImplTest {

    @Autowired
    private RestHighLevelClient restHighLevelClient;

    @Test
    public void getUnitAgencyByQuery() {

        UpdateRequest request = new UpdateRequest();

        Map<String, Object> parameters = new HashMap<>();
        parameters.put("dtuNo", "1234567890AB");
        // parameters.put("puserCode", "/0/1234567890AB/1/031号");

        Script inline = new Script(ScriptType.INLINE, "painless",
                "ctx._source.dtuNo = params.dtuNo", parameters);

        request.script(inline);
    }
}